%%
%% This is file `matlab/prntmass.m',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% adjust.dtx  (with options: `mprntmass')
%% 
%% -------------------------------------------------------------------------
%% Logarithmic binning histogram adjustment.
%% 
%% J. Alex Stark, National Institute of Statistical Sciences, NC.
%% Copyright 1997-9, all rights reserved.  See source file for disclaimer.
%% -------------------------------------------------------------------------
function prntmass(handle, name)
%  function prntmass(handle, name)
% 
%  Tidy up plots, doing different things depending on the handle
%  number
% 
%  For COPYRIGHT information, see the accompanying documentation.
errorplot = handle<0;
handle = abs(handle);

sbhmod=1;
mylwd=0.25;

if sbhmod
   if (handle==1)
      ylabelstr='Scaled counts & pdf';
   elseif (handle==7)
      ylabelstr='Scaled counts, estimated pdf values & pdf';
   else
      ylabelstr='Estimated pdf values & pdf';
   end
else
   if (handle==1)
      ylabelstr='Scaled counts / bin';
   elseif (handle==7)
      ylabelstr='Scaled counts, adjusted counts';
   else
      ylabelstr='Adjusted counts / bin';
   end

   ylabelstr = [ylabelstr ' & pdf'];
end

figure(handle);

if errorplot
  set(gca,'xscale','log')
  set(gca,'yscale','log')
  grid
else
set(gca,'xscale','log');
set(gca,'fontsize',17);
set(gca,'xlim',[1e0 1e3]);
if (handle==7)
  ytop=1.49;
else
  ytop=1.14
end
set(gca,'ylim',[0 ytop]);
xlabel('log_{10}(dwell time / sample interval)');
set(gca,'xticklabelmode','manual');
set(gca,'xticklabel',[0 1 2 3]);
ylabel(ylabelstr);
grid
ch=get(gca,'children');
set(ch(strcmp(get(ch,'type'),'line')),'linewidth',mylwd)
aa=[text(1,ytop,'1') text(10,ytop,'10') ...
        text(100,ytop,'100') text(1000,ytop,'1000')];
set(aa,'fontsize',14,'verticalalignment','bottom',...
        'horizontalalignment','center');
end

fprintf(2,'Pause for keypress...');
pause();
fprintf(2,'\n');

% set(gca,'Position',[0.13 0.11 0.775 0.815]+[0 1 0 0]*0.05)
% eval(['print -painters -deps ' name '.eps'])
%% 
%%  End of file.
%% 
%%
%% End of file `matlab/prntmass.m'.
